<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.cecep.talroad.mapper.MonDevJhOtherMapper">

    <resultMap type="cn.cecep.talroad.domain.MonDevJhOther" id="MonDevJhOtherResult">
        <result property="dataId"    column="data_id"    />
        <result property="factoryId"    column="factory_id"    />
        <result property="deviceId"    column="device_id"    />
        <result property="timeType"    column="time_type"    />
        <result property="dataTime"    column="data_time"    />
        <result property="js100"    column="js100"    />
        <result property="js101"    column="js101"    />
        <result property="js102"    column="js102"    />
        <result property="js103"    column="js103"    />
        <result property="js104"    column="js104"    />
        <result property="jz100"    column="jz100"    />
        <result property="jz101"    column="jz101"    />
        <result property="jz102"    column="jz102"    />
        <result property="jz103"    column="jz103"    />
        <result property="jz105"    column="jz105"    />
        <result property="jz106"    column="jz106"    />
        <result property="jz107"    column="jz107"    />
        <result property="jz108"    column="jz108"    />
        <result property="jz109"    column="jz109"    />
        <result property="jz110"    column="jz110"    />
        <result property="js200"    column="js200"    />
        <result property="js201"    column="js201"    />
        <result property="js202"    column="js202"    />
        <result property="js203"    column="js203"    />
        <result property="g141"    column="g141"    />
        <result property="g314"    column="g314"    />
        <result property="g329"    column="g329"    />
        <result property="g330"    column="g330"    />
        <result property="g604"    column="g604"    />
        <result property="g605"    column="g605"    />
        <result property="g606"    column="g606"    />
        <result property="g942"    column="g942"    />
        <result property="g943"    column="g943"    />
        <result property="g944"    column="g944"    />
        <result property="g945"    column="g945"    />
        <result property="g949"    column="g949"    />
        <result property="g951"    column="g951"    />
        <result property="g952"    column="g952"    />
        <result property="g956"    column="g956"    />
        <result property="g957"    column="g957"    />
        <result property="g958"    column="g958"    />
        <result property="g960"    column="g960"    />
        <result property="g961"    column="g961"    />
        <result property="g962"    column="g962"    />
        <result property="g963"    column="g963"    />
        <result property="g964"    column="g964"    />
        <result property="g965"    column="g965"    />
        <result property="g966"    column="g966"    />
        <result property="g967"    column="g967"    />
        <result property="g968"    column="g968"    />
        <result property="g969"    column="g969"    />
        <result property="g970"    column="g970"    />
        <result property="g971"    column="g971"    />
        <result property="g972"    column="g972"    />
        <result property="g973"    column="g973"    />
        <result property="g974"    column="g974"    />
        <result property="g975"    column="g975"    />
        <result property="g976"    column="g976"    />
        <result property="g977"    column="g977"    />
        <result property="g978"    column="g978"    />
        <result property="g979"    column="g979"    />
        <result property="g980"    column="g980"    />
        <result property="g981"    column="g981"    />
        <result property="g982"    column="g982"    />
        <result property="g993"    column="g993"    />
        <result property="g994"    column="g994"    />
        <result property="g995"    column="g995"    />
        <result property="gb08"    column="gb08"    />
        <result property="gb09"    column="gb09"    />
        <result property="gb11"    column="gb11"    />
        <result property="gb12"    column="gb12"    />
        <result property="gb13"    column="gb13"    />
        <result property="ppmCc1"    column="ppm_cc1"    />
        <result property="ppmCc2"    column="ppm_cc2"    />
        <result property="addiParam"    column="addi_param"    />
        <result property="updateTime"    column="update_time"    />
        <result property="createTime"    column="create_time"    />
        <result property="a100"    column="a100"    />
        <result property="a101"    column="a101"    />
        <result property="a102"    column="a102"    />
        <result property="a103"    column="a103"    />
        <result property="a104"    column="a104"    />
        <result property="a105"    column="a105"    />
        <result property="a111"    column="a111"    />
        <result property="txjvol"    column="txjVol"    />
        <result property="a120"    column="a120"    />
        <result property="a121"    column="a121"    />
        <result property="a130"    column="a130"    />
        <result property="a131"    column="a131"    />
        <result property="a140"    column="a140"    />
        <result property="a141"    column="a141"    />
        <result property="g140"    column="g140"    />
        <result property="g318"    column="g318"    />
        <result property="g325"    column="g325"    />
        <result property="g601"    column="g601"    />
        <result property="g959"    column="g959"    />
        <result property="h959"    column="h959"    />
        <result property="h960"    column="h960"    />
        <result property="j959"    column="j959"    />
        <result property="j960"    column="j960"    />
    </resultMap>


    <sql id="selectMonDevJhOtherVo">
        select data_id, factory_id, device_id, time_type, data_time, js100, js101, js102, js103, js104, jz100, jz101, jz102, jz103, jz105, jz106, jz107, jz108, jz109, jz110, js200, js201, js202, js203, g141, g314, g329, g330, g604, g605, g606, g942, g943, g944, g945, g949, g951, g952, g956, g957, g958, g960, g961, g962, g963, g964, g965, g966, g967, g968, g969, g970, g971, g972, g973, g974, g975, g976, g977, g978, g979, g980, g981, g982, g993, g994, g995, gb08, gb09, gb11, gb12, gb13, ppm_cc1, ppm_cc2, addi_param, update_time, create_time, a100, a101, a102, a103, a104, a105, a111, txjVol, a120, a121, a130, a131, a140, a141, g140, g318, g325, g601, g959, h959, h960, j959, j960 from mon_dev_jh_other
    </sql>

    <select id="selectMonDevJhOtherList" parameterType="cn.cecep.talroad.domain.MonDevJhOther" resultMap="MonDevJhOtherResult">
        <include refid="selectMonDevJhOtherVo"/>
        <where>
            <if test="dataId != null "> and data_id = #{dataId}</if>
            <if test="factoryId != null "> and factory_id = #{factoryId}</if>
            <if test="deviceId != null  and deviceId != ''"> and device_id = #{deviceId}</if>
            <if test="timeType != null  and timeType != ''"> and time_type = #{timeType}</if>
            <if test="dataTime != null  and dataTime != ''"> and data_time = #{dataTime}</if>
            <if test="js100 != null  and js100 != ''"> and js100 = #{js100}</if>
            <if test="js101 != null  and js101 != ''"> and js101 = #{js101}</if>
            <if test="js102 != null  and js102 != ''"> and js102 = #{js102}</if>
            <if test="js103 != null  and js103 != ''"> and js103 = #{js103}</if>
            <if test="js104 != null  and js104 != ''"> and js104 = #{js104}</if>
            <if test="jz100 != null  and jz100 != ''"> and jz100 = #{jz100}</if>
            <if test="jz101 != null  and jz101 != ''"> and jz101 = #{jz101}</if>
            <if test="jz102 != null  and jz102 != ''"> and jz102 = #{jz102}</if>
            <if test="jz103 != null  and jz103 != ''"> and jz103 = #{jz103}</if>
            <if test="jz105 != null  and jz105 != ''"> and jz105 = #{jz105}</if>
            <if test="jz106 != null  and jz106 != ''"> and jz106 = #{jz106}</if>
            <if test="jz107 != null  and jz107 != ''"> and jz107 = #{jz107}</if>
            <if test="jz108 != null  and jz108 != ''"> and jz108 = #{jz108}</if>
            <if test="jz109 != null  and jz109 != ''"> and jz109 = #{jz109}</if>
            <if test="jz110 != null  and jz110 != ''"> and jz110 = #{jz110}</if>
            <if test="js200 != null  and js200 != ''"> and js200 = #{js200}</if>
            <if test="js201 != null  and js201 != ''"> and js201 = #{js201}</if>
            <if test="js202 != null  and js202 != ''"> and js202 = #{js202}</if>
            <if test="js203 != null  and js203 != ''"> and js203 = #{js203}</if>
            <if test="g141 != null  and g141 != ''"> and g141 = #{g141}</if>
            <if test="g314 != null  and g314 != ''"> and g314 = #{g314}</if>
            <if test="g329 != null  and g329 != ''"> and g329 = #{g329}</if>
            <if test="g330 != null  and g330 != ''"> and g330 = #{g330}</if>
            <if test="g604 != null  and g604 != ''"> and g604 = #{g604}</if>
            <if test="g605 != null  and g605 != ''"> and g605 = #{g605}</if>
            <if test="g606 != null  and g606 != ''"> and g606 = #{g606}</if>
            <if test="g942 != null  and g942 != ''"> and g942 = #{g942}</if>
            <if test="g943 != null  and g943 != ''"> and g943 = #{g943}</if>
            <if test="g944 != null  and g944 != ''"> and g944 = #{g944}</if>
            <if test="g945 != null  and g945 != ''"> and g945 = #{g945}</if>
            <if test="g949 != null  and g949 != ''"> and g949 = #{g949}</if>
            <if test="g951 != null  and g951 != ''"> and g951 = #{g951}</if>
            <if test="g952 != null  and g952 != ''"> and g952 = #{g952}</if>
            <if test="g956 != null  and g956 != ''"> and g956 = #{g956}</if>
            <if test="g957 != null  and g957 != ''"> and g957 = #{g957}</if>
            <if test="g958 != null  and g958 != ''"> and g958 = #{g958}</if>
            <if test="g960 != null  and g960 != ''"> and g960 = #{g960}</if>
            <if test="g961 != null  and g961 != ''"> and g961 = #{g961}</if>
            <if test="g962 != null  and g962 != ''"> and g962 = #{g962}</if>
            <if test="g963 != null  and g963 != ''"> and g963 = #{g963}</if>
            <if test="g964 != null  and g964 != ''"> and g964 = #{g964}</if>
            <if test="g965 != null  and g965 != ''"> and g965 = #{g965}</if>
            <if test="g966 != null  and g966 != ''"> and g966 = #{g966}</if>
            <if test="g967 != null  and g967 != ''"> and g967 = #{g967}</if>
            <if test="g968 != null  and g968 != ''"> and g968 = #{g968}</if>
            <if test="g969 != null  and g969 != ''"> and g969 = #{g969}</if>
            <if test="g970 != null  and g970 != ''"> and g970 = #{g970}</if>
            <if test="g971 != null  and g971 != ''"> and g971 = #{g971}</if>
            <if test="g972 != null  and g972 != ''"> and g972 = #{g972}</if>
            <if test="g973 != null  and g973 != ''"> and g973 = #{g973}</if>
            <if test="g974 != null  and g974 != ''"> and g974 = #{g974}</if>
            <if test="g975 != null  and g975 != ''"> and g975 = #{g975}</if>
            <if test="g976 != null  and g976 != ''"> and g976 = #{g976}</if>
            <if test="g977 != null  and g977 != ''"> and g977 = #{g977}</if>
            <if test="g978 != null  and g978 != ''"> and g978 = #{g978}</if>
            <if test="g979 != null  and g979 != ''"> and g979 = #{g979}</if>
            <if test="g980 != null  and g980 != ''"> and g980 = #{g980}</if>
            <if test="g981 != null  and g981 != ''"> and g981 = #{g981}</if>
            <if test="g982 != null  and g982 != ''"> and g982 = #{g982}</if>
            <if test="g993 != null  and g993 != ''"> and g993 = #{g993}</if>
            <if test="g994 != null  and g994 != ''"> and g994 = #{g994}</if>
            <if test="g995 != null  and g995 != ''"> and g995 = #{g995}</if>
            <if test="gb08 != null  and gb08 != ''"> and gb08 = #{gb08}</if>
            <if test="gb09 != null  and gb09 != ''"> and gb09 = #{gb09}</if>
            <if test="gb11 != null  and gb11 != ''"> and gb11 = #{gb11}</if>
            <if test="gb12 != null  and gb12 != ''"> and gb12 = #{gb12}</if>
            <if test="gb13 != null  and gb13 != ''"> and gb13 = #{gb13}</if>
            <if test="ppmCc1 != null  and ppmCc1 != ''"> and ppm_cc1 = #{ppmCc1}</if>
            <if test="ppmCc2 != null  and ppmCc2 != ''"> and ppm_cc2 = #{ppmCc2}</if>
            <if test="addiParam != null  and addiParam != ''"> and addi_param = #{addiParam}</if>
            <if test="a100 != null  and a100 != ''"> and a100 = #{a100}</if>
            <if test="a101 != null  and a101 != ''"> and a101 = #{a101}</if>
            <if test="a102 != null  and a102 != ''"> and a102 = #{a102}</if>
            <if test="a103 != null  and a103 != ''"> and a103 = #{a103}</if>
            <if test="a104 != null  and a104 != ''"> and a104 = #{a104}</if>
            <if test="a105 != null  and a105 != ''"> and a105 = #{a105}</if>
            <if test="a111 != null  and a111 != ''"> and a111 = #{a111}</if>
            <if test="txjvol != null  and txjvol != ''"> and txjVol = #{txjvol}</if>
            <if test="a120 != null  and a120 != ''"> and a120 = #{a120}</if>
            <if test="a121 != null  and a121 != ''"> and a121 = #{a121}</if>
            <if test="a130 != null  and a130 != ''"> and a130 = #{a130}</if>
            <if test="a131 != null  and a131 != ''"> and a131 = #{a131}</if>
            <if test="a140 != null  and a140 != ''"> and a140 = #{a140}</if>
            <if test="a141 != null  and a141 != ''"> and a141 = #{a141}</if>
            <if test="g140 != null  and g140 != ''"> and g140 = #{g140}</if>
            <if test="g318 != null  and g318 != ''"> and g318 = #{g318}</if>
            <if test="g325 != null  and g325 != ''"> and g325 = #{g325}</if>
            <if test="g601 != null  and g601 != ''"> and g601 = #{g601}</if>
            <if test="g959 != null  and g959 != ''"> and g959 = #{g959}</if>
            <if test="h959 != null  and h959 != ''"> and h959 = #{h959}</if>
            <if test="h960 != null  and h960 != ''"> and h960 = #{h960}</if>
            <if test="j959 != null  and j959 != ''"> and j959 = #{j959}</if>
            <if test="j960 != null  and j960 != ''"> and j960 = #{j960}</if>
        </where>
    </select>
    <select id="getDataPage" resultType="cn.cecep.talroad.vo.MonDevJhVO">
        SELECT r.*, d.name
        from mon_dev_jh_other r
                 LEFT JOIN bas_device d on r.device_id = d.device_id
            ${ew.customSqlSegment}
    </select>

</mapper>
